/*
 * Project: MoleCuilder
 * Description: creates and alters molecular systems
 * Copyright (C)  2014 Frederik Heber. All rights reserved.
 * 
 *
 *   This file is part of MoleCuilder.
 *
 *    MoleCuilder is free software: you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation, either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    MoleCuilder is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with MoleCuilder.  If not, see <http://www.gnu.org/licenses/>.
 */

/*
 * JobId.cpp
 *
 * Originally taken from my JobMarket project at 1.1.4.
 *
 *  Created on: Oct 23, 2011
 *      Author: heber
 */

// include config.h
#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

//#include "CodePatterns/MemDebug.hpp"

#ifdef HAVE_JOBMARKET
#include "JobMarket/JobId.hpp"
#else
#include "Jobs/JobMarket/JobId.hpp"
#endif

/** Constructor for class JobId.
 *
 */
JobId::JobId()
{}

/** Constructor for class JobId.
 * \param id JobId to set
 */
JobId::JobId(const JobId_t id) :
  id(id)
{}

/** Destructor for class JobId.
 *
 */
JobId::~JobId()
{}

/** Getter for id.
 * \return id
 */
const JobId_t JobId::getId() const
{
  return id;
}

/** Protected seetter for id.
 * \param _id new id
 */
void JobId::setId(const JobId_t _id)
{
  id = _id;
}
